using namespace std;
#include<iostream>
#include<cmath>
#include <bits/stdc++.h>

main()
{
	int n,x,el,br=0;
	vector<int> niz;
		cin>>n;
		cin>>x;
	for(int i=0;i<n;i++)
	{
		cin>>el;
		niz.push_back(el);
	}
	sort(niz.begin(), niz.end()); 
			
    if(x<niz[0])
	{
		br = niz[n-1]-x;	
	}    
    else if(x>niz[n-1])
    {
    	br = x - niz[0];
	}
	else
	{
	    if(x<niz[n-1]-x)
	    {
	    	br = x-niz[0]+(niz[n-1]-niz[0]);
		}
		else
		{
			br = niz[n-1]-x + (x-niz[0]);
		}
	}
	cout<<endl<<br;
}